3.84 release notes/changelog

7 posts / 0 new
Last post
#1 Thu, 03/31/2011 - 11:29
lp86

3.84 release notes/changelog

I didn't see anything in the news forum, what has changed in 3.84?

Thu, 03/31/2011 - 11:34
lp86

I just saw this on a server I updated, is there anything else?

Script Installers | Try it .. Virtualmin GPL now supports the script installers feature that used to be part of the Pro version only, but for installing only phpMyAdmin, phpPgAdmin, Roundcube, Squirrelmail and Django. Virtual server cloning | Try it .. An existing virtual server can now be duplicated with a new domain name. All web content, DNS records, mailboxes, email aliases and other settings will be duplicated. DNS records page | Try it .. A new, simpler page for editing DNS records has been added. This also works when the DNS domain is provisioned remotely. Scheduled validation | Try it .. Added a tab to the Validate Virtual Servers page, for setting up automatic email notification when Virtualmin detects problems with the configuration of any server, or the global configuration

Thu, 03/31/2011 - 22:19 (Reply to #2)
dlenorman

I "tried" the script installer on a server and it installed just fine (squirrelmail). However, when I tried to "uninstall" the script using the tool (button) on the script page-install tab it gives a "file not found" or 404 error.

Any ideas?

Also, the Roundcube won't install as it requires PHP 5.2 which is not available yet for the GPL version of VM.

Next?

Thu, 03/31/2011 - 22:26 (Reply to #3)
andreychek

If you get an error when trying to uninstall Squirrelmail, that may be a bug. I'd suggest filing a support request regarding that using the "Support" link above.

As far as RoundCube and PHP 5.2 goes -- that's not an issue with Virtualmin GPL... CentOS 5 only comes with PHP 5.1.6.

If you need a newer PHP version, you can use the Virtualmin bleed repository. There's details on setting that up here:

http://www.virtualmin.com/node/14630

Thu, 03/31/2011 - 22:45 (Reply to #4)
lp86

I got the same thing when I installed phpmyadmin, error when trying to remove it.

Thu, 03/31/2011 - 16:30
helpmin

There are also quite a few bug fixes.

Thu, 03/31/2011 - 22:20 (Reply to #6)
dlenorman

see my comments above